Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 35 lines (34 sloc) 0.731 kB
2881227 @isaacs make doc
isaacs authored
1 .\" Generated with Ronnjs/v0.1
2 .\" http://github.com/kapouer/ronnjs/
3 .
0ce9853 @isaacs make doc
isaacs authored
4 .TH "NPM\-DEPRECATE" "1" "March 2011" "" ""
2881227 @isaacs make doc
isaacs authored
5 .
6 .SH "NAME"
7 \fBnpm-deprecate\fR \-\- Deprecate a version of a package
8 .
9 .SH "SYNOPSIS"
10 .
11 .nf
ec15d6a @evnm Standardize synopsis format in docs.
evnm authored
12 npm deprecate <name>[@<version>] <message>
2881227 @isaacs make doc
isaacs authored
13 .
14 .fi
15 .
16 .SH "DESCRIPTION"
17 This command will update the npm registry entry for a package, providing
18 a deprecation warning to all who attempt to install it\.
19 .
20 .P
21 It works on version ranges as well as specific versions, so you can do
22 something like this:
23 .
24 .IP "" 4
25 .
26 .nf
27 npm deprecate my\-thing@"< 0\.2\.3" "critical bug fixed in v0\.2\.3"
28 .
29 .fi
30 .
31 .IP "" 0
32 .
33 .P
4005bd9 @isaacs s/CONFIG/CONFIGURATION/
isaacs authored
34 Note that you must be the package owner to deprecate something\. See the \fBowner\fR and \fBadduser\fR help topics\.
Something went wrong with that request. Please try again.